./devel/gprbuild-aux, Adacore multi-language software build tool

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 20160609, Package name: gprbuild-aux-20160609, Maintainer: draco

GPRbuild is an advanced software tool designed to help automate the
construction of multi-language systems. It removes the complexity from
multi-language development by allowing developers to quickly and easily
compile and link software written in a combination of languages including
Ada, Assembler, C, C++, and Fortran. Easily extendable by users to cover
new toolchains and languages it is primarily aimed at projects of all sizes
organized into subsystems and libraries and is particularly well suited for
compiled languages.


Required to build:
[pkgtools/cwrappers] [lang/gcc5-aux]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2016-11-26 19:34:47 by John Marino | Files touched by this commit (4)
Log message:
devel/gprbuild-aux: change buildlink default full=>build

Normally gprbuild is only used for building, with a notable exception
of the broken devel/gps.
   2016-11-26 04:37:25 by John Marino | Files touched by this commit (2)
Log message:
devel/gprbuild-aux: Commit forgotten file

User-error on CVS, the file didn't get successfully added the first time.
While here, correct the localbase on the xml data file.
   2016-11-25 21:36:50 by John Marino | Files touched by this commit (21)
Log message:
Upgrade USE_LANGUAGES=ada to use lang/gcc5-aux instead of lang/gcc-aux

This large commit accomplishes the following:

1) Switch USE_LANGUAGES=ada to require lang/gcc5-aux (gcc 5.4) instead
   of lang/gcc-aux (gcc 4.9.2) on gcc.mk
2) Bump affected ports and fix paths as necessary
3) Upgrade devel/gprbuild to the latest release
   - No longer requires lang/gnat_util
   - gprslave requires gcc6-aux, so it was disabled for now
4) Fix lang/gnat_util but set PKG_SKIP_REASON
   - It has no further purpose in the pkgsrc tree
   - It has no practical purpose outside of the pkgsrc tree
   - Indicate intent to remove from tree in Jan. 2017
5) Set devel/GPS as failed with PKG_FAIL_REASON
   - This version of GPS is several years old and at the time they were
     strongly tied to compiler.
   - Latest release of GPS require gcc6-aux (not available) and several
     new and complex dependencies
   - maintainer (me) has no interest to continue supporting it
   - Leaving GPS in place until Jan 2017 to give another person chance to
     upgrade and take over support
   - Latest version in FreeBSD Ports Collection as a reference point
   2016-11-25 02:05:47 by John Marino | Files touched by this commit (2)
Log message:
devel: gnatpython, gprbuild-aux: remove bad MASTER_SITES entry
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2014-05-09 14:14:58 by John Marino | Files touched by this commit (1)
Log message:
devel/gprbuild-aux: Remove unnecessary post-install target

SunOS find does not support -empty.  This was used by the post-install
target to remove empty directories, and the command consequently failed
there.  It turns out that pkgsrc just ignores empty directories when it
is creating the package list so we don't need the target at all.
   2014-04-30 18:28:09 by John Marino | Files touched by this commit (12) | Package updated
Log message:
devel/gprbuild-aux: Update version GPL 2012 to GPL 2013

GPRBuild needs to be built with GNAT sources, so it now depends on
the new library lang/gnat_util.  It installs two new programs:
gprinstall and gprslave.  This is the latest version published by
Adacore.
   2012-10-31 12:19:55 by Aleksej Saushev | Files touched by this commit (1460)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.